import * as React from "react";
import { Component, ReactNode } from "react";
import { CSSProperties, WithStyles } from "@material-ui/core/styles/withStyles";
import { IIconRenderer } from "../Type/Renderer/Icon";
import { ITypeRenderer } from "../Type/Renderer/Type";
import { IForm } from "../../models/Form";
export interface IContentStyles {
    root: CSSProperties;
}
export interface IContentStyleProps extends WithStyles<keyof IContentStyles> {
}
export interface IContentProps {
    form: IForm;
    style?: CSSProperties;
    className?: string;
    typer: ITypeRenderer;
    iconer: IIconRenderer;
}
export interface IContentStates {
}
export declare class Content extends Component<IContentProps & IContentStyleProps, IContentStates> {
    render(): ReactNode;
}
declare const _default: React.ComponentType<Pick<IContentProps & IContentStyleProps, "form" | "style" | "className" | "typer" | "iconer"> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"root">>;
export default _default;
