var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from "react";
import { Component } from "react";
import classNames from "classnames";
import withStyles from "@material-ui/core/styles/withStyles";
import Dialog from "@material-ui/core/Dialog";
import DialogActions from "@material-ui/core/DialogActions";
import DialogContent from "@material-ui/core/DialogContent";
import DialogTitle from "@material-ui/core/DialogTitle";
import FormContent from "../Content";
import FormFooter from "../Footer";
import FormHeader from "../Header";
import IconRenderer from "../Type/Renderer/Icon";
import TypeRenderer from "../Type/Renderer/Type";
import Form from "../Form";
import { observer } from "mobx-react";
var FormDialog = /** @class */ (function (_super) {
    __extends(FormDialog, _super);
    function FormDialog(props) {
        return _super.call(this, props) || this;
    }
    FormDialog.prototype.render = function () {
        var _a = this.props, 
        // form props
        config = _a.config, schema = _a.schema, meta = _a.meta, snapshot = _a.snapshot, onPatch = _a.onPatch, onSnapshot = _a.onSnapshot, 
        // dialog props
        clazz = _a.className, classes = _a.classes, style = _a.style, onCancel = _a.onCancel, onSubmit = _a.onSubmit, onErrors = _a.onErrors, _b = _a.iconer, iconer = _b === void 0 ? new IconRenderer() : _b, _c = _a.typer, typer = _c === void 0 ? new TypeRenderer() : _c, open = _a.open, _d = _a.scroll, scroll = _d === void 0 ? "paper" : _d, others = __rest(_a, ["config", "schema", "meta", "snapshot", "onPatch", "onSnapshot", "className", "classes", "style", "onCancel", "onSubmit", "onErrors", "iconer", "typer", "open", "scroll"]);
        var content = classes.content, title = classes.title, footer = classes.footer, header = classes.header, rest = __rest(classes, ["content", "title", "footer", "header"]);
        var className = classNames(classes.root, clazz);
        var _e = this.props;
        return (React.createElement(Form, __assign({}, {
            config: config,
            meta: meta,
            onPatch: onPatch,
            onSnapshot: onSnapshot,
            schema: schema,
            snapshot: snapshot
        }), function (form) { return (React.createElement(Dialog, __assign({}, __assign({ className: className, classes: rest, open: open,
            scroll: scroll,
            style: style }, others)),
            React.createElement(DialogTitle, { className: title },
                React.createElement(FormHeader, __assign({}, {
                    className: header,
                    form: form
                }))),
            React.createElement(DialogContent, null,
                React.createElement(FormContent, __assign({}, {
                    className: content,
                    form: form,
                    iconer: iconer,
                    typer: typer
                }))),
            React.createElement(DialogActions, null,
                React.createElement(FormFooter, __assign({}, {
                    className: footer,
                    form: form,
                    onCancel: onCancel,
                    onErrors: onErrors,
                    onSubmit: onSubmit
                }))))); }));
    };
    FormDialog = __decorate([
        observer
    ], FormDialog);
    return FormDialog;
}(Component));
export { FormDialog };
export default withStyles({
    content: {},
    footer: {},
    header: {},
    root: {},
    title: {
        paddingBottom: 0
    },
    paper: {},
    paperFullScreen: {},
    paperFullWidth: {},
    paperScrollBody: {},
    paperScrollPaper: {},
    paperWidthMd: {},
    paperWidthSm: {},
    paperWidthXs: {},
    scrollBody: {},
    scrollPaper: {}
})(FormDialog);
//# sourceMappingURL=Dialog.js.map