var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import * as React from "react";
import { Component } from "react";
import classNames from "classnames";
import withStyles from "@material-ui/core/styles/withStyles";
import Grid from "@material-ui/core/Grid";
import FormCancel from "../Cancel";
import FormSubmit from "../Submit";
import { observer } from "mobx-react";
var Footer = /** @class */ (function (_super) {
    __extends(Footer, _super);
    function Footer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Footer.prototype.render = function () {
        var form = this.props.form;
        var cancel = form.cancel, submit = form.submit;
        var _a = this.props, clazz = _a.className, classes = _a.classes, style = _a.style;
        var _b = this.props, onCancel = _b.onCancel, onSubmit = _b.onSubmit, onErrors = _b.onErrors;
        var className = classNames(classes.root, clazz);
        return (React.createElement(Grid, __assign({}, { className: className, style: style }, { container: true, spacing: 24 }),
            onCancel &&
                cancel && (React.createElement(Grid, { className: classes.item, item: true, xs: 6, sm: 3 },
                React.createElement(FormCancel, __assign({ label: cancel }, { form: form, onCancel: onCancel })))),
            React.createElement(Grid, { className: classes.item, item: true, xs: 6, sm: 3 },
                React.createElement(FormSubmit, __assign({ label: submit }, { form: form, onSubmit: onSubmit, onErrors: onErrors })))));
    };
    Footer = __decorate([
        observer
    ], Footer);
    return Footer;
}(Component));
export { Footer };
export default withStyles({
    item: {
        padding: 10
    },
    root: {
        display: "flex",
        justifyContent: "flex-end"
    }
})(Footer);
//# sourceMappingURL=Footer.js.map