var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import * as React from "react";
import { Fragment } from "react";
import { observer } from "mobx-react";
import Error from "../Error";
import Type from "../Type";
import FormControl from "@material-ui/core/FormControl";
import FormLabel from "@material-ui/core/FormLabel";
import IconButton from "@material-ui/core/IconButton";
import ActionAdd from "@material-ui/icons/Add";
import ActionClear from "@material-ui/icons/Clear";
import { toNumber } from "../../../utils";
var Array = /** @class */ (function (_super) {
    __extends(Array, _super);
    function Array() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onRemove = function (event) {
            var index = event.currentTarget.getAttribute("data-index") || "";
            _this.props.context.type.remove(toNumber(index, 0));
        };
        _this.onPush = function (event) {
            _this.props.context.type.push();
        };
        return _this;
    }
    Array.prototype.renderType = function (context) {
        var _this = this;
        var type = context.type;
        var typer = this.props.typer;
        return (React.createElement(FormControl, { component: "fieldset", error: !type.valid, style: { width: "100%" } },
            React.createElement(FormLabel, { component: "legend", style: { paddingTop: 20 } }, type.title),
            type.elements.map(function (element, index) { return (React.createElement(Fragment, { key: index },
                type.dynamic && (React.createElement(IconButton, { style: {
                        float: "right",
                        marginBottom: -10,
                        marginTop: 10
                    }, "data-index": index, onClick: _this.onRemove },
                    React.createElement(ActionClear, null))),
                typer.render(__assign({}, context, { type: element })))); }),
            type.dynamic && (React.createElement(IconButton, { style: { float: "right" }, onClick: this.onPush },
                React.createElement(ActionAdd, null))),
            React.createElement(Error, { type: type })));
    };
    Array = __decorate([
        observer
    ], Array);
    return Array;
}(Type));
export default Array;
//# sourceMappingURL=Array.js.map