import { ReactNode } from "react";
import { IBoolean } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../Type";
import { IRenderContext } from "../Renderer/Type";
export interface IBooleanProps extends ITypeProps<IBoolean> {
}
export interface IBooleanStates extends ITypeStates<IBoolean> {
}
export default class Boolean extends Type<IBoolean, IBooleanProps, IBooleanStates> {
    protected renderType(context: IRenderContext<IBoolean>): ReactNode;
}
