import { ReactNode } from "react";
import { IBoolean } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface ICheckboxProps extends ITypeProps<IBoolean> {
}
export interface ICheckboxStates extends ITypeStates<IBoolean> {
}
export default class Checkbox extends Type<IBoolean, ICheckboxProps, ICheckboxStates> {
    protected renderType(context: IRenderContext<IBoolean>): ReactNode;
    private onChange;
}
