import { ReactNode } from "react";
import { IBoolean } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface ISelectProps extends ITypeProps<IBoolean> {
}
export interface ISelectStates extends ITypeStates<IBoolean> {
}
export default class Select extends Type<IBoolean, ISelectProps, ISelectStates> {
    protected renderType(context: IRenderContext<IBoolean>): ReactNode;
    private onChange;
}
