import { ReactNode } from "react";
import { INumber } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../Type";
import { IRenderContext } from "../Renderer/Type";
export interface INumberProps extends ITypeProps<INumber> {
}
export interface INumberStates extends ITypeStates<INumber> {
}
export default class Number extends Type<INumber, INumberProps, INumberStates> {
    protected renderType(context: IRenderContext<INumber>): ReactNode;
}
