import * as React from "react";
import Array from "../../Array";
import Boolean from "../../Boolean";
import Number from "../../Number";
import Object from "../../Object";
import String from "../../String";
var TypeRenderer = /** @class */ (function () {
    function TypeRenderer() {
    }
    TypeRenderer.prototype.render = function (context) {
        var type = context.type;
        switch (type.type) {
            case "object":
                return (React.createElement(Object, { context: context, typer: this }));
            case "number":
                return React.createElement(Number, { context: context });
            case "boolean":
                return React.createElement(Boolean, { context: context });
            case "array":
                return (React.createElement(Array, { context: context, typer: this }));
            case "string":
                return React.createElement(String, { context: context });
            default:
                throw new Error(type.type + " is not valid field type configuration for type titled : " + type.title);
        }
    };
    return TypeRenderer;
}());
export default TypeRenderer;
//# sourceMappingURL=Renderer.js.map