import { ReactNode } from "react";
import { IString } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../Type";
import { IRenderContext } from "../Renderer/Type";
export interface IStringProps extends ITypeProps<IString> {
}
export interface IStringStates extends ITypeStates<IString> {
}
export default class String extends Type<IString, IStringProps, IStringStates> {
    protected renderType(context: IRenderContext<IString>): ReactNode;
}
