var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from "react";
import { Component } from "react";
import InputAdornment from "@material-ui/core/InputAdornment";
var Type = /** @class */ (function (_super) {
    __extends(Type, _super);
    function Type() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Type.prototype.render = function () {
        var context = this.props.context;
        var type = context.type;
        var _a = type.meta, visible = _a.visible, name = _a.name;
        return (visible && (React.createElement("div", { key: name, style: {
                width: "100%"
            } }, this.renderType(context))));
    };
    Type.prototype.adornment = function (position) {
        var _a = this.props.context, type = _a.type, form = _a.form, iconer = _a.iconer;
        var _b = type.meta, icon = _b.icon, iconAlign = _b.iconAlign;
        if (!icon || iconAlign !== position) {
            return null;
        }
        return (React.createElement(InputAdornment, { position: position }, iconer.render(icon, { form: form, type: type })));
    };
    return Type;
}(Component));
export default Type;
//# sourceMappingURL=Type.js.map