"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("react");
var classnames_1 = __importDefault(require("classnames"));
var withStyles_1 = __importDefault(require("@material-ui/core/styles/withStyles"));
var Dialog_1 = __importDefault(require("@material-ui/core/Dialog"));
var DialogActions_1 = __importDefault(require("@material-ui/core/DialogActions"));
var DialogContent_1 = __importDefault(require("@material-ui/core/DialogContent"));
var DialogTitle_1 = __importDefault(require("@material-ui/core/DialogTitle"));
var Content_1 = __importDefault(require("../Content"));
var Footer_1 = __importDefault(require("../Footer"));
var Header_1 = __importDefault(require("../Header"));
var Icon_1 = __importDefault(require("../Type/Renderer/Icon"));
var Type_1 = __importDefault(require("../Type/Renderer/Type"));
var Form_1 = __importDefault(require("../Form"));
var mobx_react_1 = require("mobx-react");
var FormDialog = /** @class */ (function (_super) {
    __extends(FormDialog, _super);
    function FormDialog(props) {
        return _super.call(this, props) || this;
    }
    FormDialog.prototype.render = function () {
        var _a = this.props, 
        // form props
        config = _a.config, schema = _a.schema, meta = _a.meta, snapshot = _a.snapshot, onPatch = _a.onPatch, onSnapshot = _a.onSnapshot, 
        // dialog props
        clazz = _a.className, classes = _a.classes, style = _a.style, onCancel = _a.onCancel, onSubmit = _a.onSubmit, onErrors = _a.onErrors, _b = _a.iconer, iconer = _b === void 0 ? new Icon_1.default() : _b, _c = _a.typer, typer = _c === void 0 ? new Type_1.default() : _c, open = _a.open, _d = _a.scroll, scroll = _d === void 0 ? "paper" : _d, others = __rest(_a, ["config", "schema", "meta", "snapshot", "onPatch", "onSnapshot", "className", "classes", "style", "onCancel", "onSubmit", "onErrors", "iconer", "typer", "open", "scroll"]);
        var content = classes.content, title = classes.title, footer = classes.footer, header = classes.header, rest = __rest(classes, ["content", "title", "footer", "header"]);
        var className = classnames_1.default(classes.root, clazz);
        var _e = this.props;
        return (React.createElement(Form_1.default, __assign({}, {
            config: config,
            meta: meta,
            onPatch: onPatch,
            onSnapshot: onSnapshot,
            schema: schema,
            snapshot: snapshot
        }), function (form) { return (React.createElement(Dialog_1.default, __assign({}, __assign({ className: className, classes: rest, open: open,
            scroll: scroll,
            style: style }, others)),
            React.createElement(DialogTitle_1.default, { className: title },
                React.createElement(Header_1.default, __assign({}, {
                    className: header,
                    form: form
                }))),
            React.createElement(DialogContent_1.default, null,
                React.createElement(Content_1.default, __assign({}, {
                    className: content,
                    form: form,
                    iconer: iconer,
                    typer: typer
                }))),
            React.createElement(DialogActions_1.default, null,
                React.createElement(Footer_1.default, __assign({}, {
                    className: footer,
                    form: form,
                    onCancel: onCancel,
                    onErrors: onErrors,
                    onSubmit: onSubmit
                }))))); }));
    };
    FormDialog = __decorate([
        mobx_react_1.observer
    ], FormDialog);
    return FormDialog;
}(react_1.Component));
exports.FormDialog = FormDialog;
exports.default = withStyles_1.default({
    content: {},
    footer: {},
    header: {},
    root: {},
    title: {
        paddingBottom: 0
    },
    paper: {},
    paperFullScreen: {},
    paperFullWidth: {},
    paperScrollBody: {},
    paperScrollPaper: {},
    paperWidthMd: {},
    paperWidthSm: {},
    paperWidthXs: {},
    scrollBody: {},
    scrollPaper: {}
})(FormDialog);
//# sourceMappingURL=Dialog.js.map