"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("react");
var mobx_react_1 = require("mobx-react");
var Error_1 = __importDefault(require("../Error"));
var Type_1 = __importDefault(require("../Type"));
var FormControl_1 = __importDefault(require("@material-ui/core/FormControl"));
var FormLabel_1 = __importDefault(require("@material-ui/core/FormLabel"));
var IconButton_1 = __importDefault(require("@material-ui/core/IconButton"));
var Add_1 = __importDefault(require("@material-ui/icons/Add"));
var Clear_1 = __importDefault(require("@material-ui/icons/Clear"));
var utils_1 = require("../../../utils");
var Array = /** @class */ (function (_super) {
    __extends(Array, _super);
    function Array() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onRemove = function (event) {
            var index = event.currentTarget.getAttribute("data-index") || "";
            _this.props.context.type.remove(utils_1.toNumber(index, 0));
        };
        _this.onPush = function (event) {
            _this.props.context.type.push();
        };
        return _this;
    }
    Array.prototype.renderType = function (context) {
        var _this = this;
        var type = context.type;
        var typer = this.props.typer;
        return (React.createElement(FormControl_1.default, { component: "fieldset", error: !type.valid, style: { width: "100%" } },
            React.createElement(FormLabel_1.default, { component: "legend", style: { paddingTop: 20 } }, type.title),
            type.elements.map(function (element, index) { return (React.createElement(react_1.Fragment, { key: index },
                type.dynamic && (React.createElement(IconButton_1.default, { style: {
                        float: "right",
                        marginBottom: -10,
                        marginTop: 10
                    }, "data-index": index, onClick: _this.onRemove },
                    React.createElement(Clear_1.default, null))),
                typer.render(__assign({}, context, { type: element })))); }),
            type.dynamic && (React.createElement(IconButton_1.default, { style: { float: "right" }, onClick: this.onPush },
                React.createElement(Add_1.default, null))),
            React.createElement(Error_1.default, { type: type })));
    };
    Array = __decorate([
        mobx_react_1.observer
    ], Array);
    return Array;
}(Type_1.default));
exports.default = Array;
//# sourceMappingURL=Array.js.map