import { ReactNode } from "react";
import { IBoolean } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface ISwitchProps extends ITypeProps<IBoolean> {
}
export interface ISwitchStates extends ITypeStates<IBoolean> {
}
export default class Switch extends Type<IBoolean, ISwitchProps, ISwitchStates> {
    protected renderType(context: IRenderContext<IBoolean>): ReactNode;
    private onChange;
}
