import { ReactNode } from "react";
import { ILayout } from "reactive-json-schema";
import { IType } from "reactive-json-schema";
import { IForm } from "../../../../models/Form";
import { IIconRenderer } from "../Icon";
export interface IRenderContext<T extends IType = IType> {
    type: T;
    form: IForm;
    layout?: ILayout;
    iconer: IIconRenderer;
}
export interface ITypeRenderer {
    render(context: IRenderContext): ReactNode;
}
export default class TypeRenderer implements ITypeRenderer {
    render(context: IRenderContext): ReactNode;
}
