"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var Array_1 = __importDefault(require("../../Array"));
var Boolean_1 = __importDefault(require("../../Boolean"));
var Number_1 = __importDefault(require("../../Number"));
var Object_1 = __importDefault(require("../../Object"));
var String_1 = __importDefault(require("../../String"));
var TypeRenderer = /** @class */ (function () {
    function TypeRenderer() {
    }
    TypeRenderer.prototype.render = function (context) {
        var type = context.type;
        switch (type.type) {
            case "object":
                return (React.createElement(Object_1.default, { context: context, typer: this }));
            case "number":
                return React.createElement(Number_1.default, { context: context });
            case "boolean":
                return React.createElement(Boolean_1.default, { context: context });
            case "array":
                return (React.createElement(Array_1.default, { context: context, typer: this }));
            case "string":
                return React.createElement(String_1.default, { context: context });
            default:
                throw new Error(type.type + " is not valid field type configuration for type titled : " + type.title);
        }
    };
    return TypeRenderer;
}());
exports.default = TypeRenderer;
//# sourceMappingURL=Renderer.js.map