import { IModelType } from "mobx-state-tree";
import { ILayout } from "reactive-json-schema";
export interface ISectionConfig {
    readonly title: string;
    readonly layout: ILayout;
    readonly selected?: boolean;
}
export interface ISection {
    readonly title: string;
    readonly layout: ILayout;
    readonly selected: boolean;
    makeSelection(selected: boolean): void;
}
declare const Section: IModelType<Partial<ISectionConfig>, ISection>;
export default Section;
