"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mobx_state_tree_1 = require("mobx-state-tree");
var Section = mobx_state_tree_1.types
    .model("Section", {
    layout: mobx_state_tree_1.types.frozen,
    selected: mobx_state_tree_1.types.optional(mobx_state_tree_1.types.boolean, false),
    title: mobx_state_tree_1.types.string
})
    .actions(function (it) { return ({
    makeSelection: function (selected) {
        it.selected = selected;
    }
}); });
exports.default = Section;
//# sourceMappingURL=Section.js.map