declare type IArrayMerge = (source: any[], target: any[], options: Partial<IMergeOptions>) => any[];
interface IMergeOptions {
    clone: boolean;
    skipUndefined: boolean;
    arrayMerge: IArrayMerge;
}
export declare function deepmerge<T, U>(target: T, source?: U, options?: Partial<IMergeOptions>): T & U;
export {};
