import { ReactNode } from "react";
import { IArray } from "reactive-json-schema";
import { ITypeRenderer } from "../Renderer/Type";
import Type, { ITypeProps, ITypeStates } from "../Type";
import { IRenderContext } from "../Renderer/Type";
export interface IArrayProps extends ITypeProps<IArray> {
    typer: ITypeRenderer;
}
export interface IArrayStates extends ITypeStates<IArray> {
}
export default class Array extends Type<IArray, IArrayProps, IArrayStates> {
    protected renderType(context: IRenderContext<IArray>): ReactNode;
    private onRemove;
    private onPush;
}
