import { ReactNode } from "react";
import { IBoolean } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface IRadiosProps extends ITypeProps<IBoolean> {
}
export interface IRadiosStates extends ITypeStates<IBoolean> {
}
export default class Radios extends Type<IBoolean, IRadiosProps, IRadiosStates> {
    protected renderType(context: IRenderContext<IBoolean>): ReactNode;
    private onChange;
}
