var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import * as React from "react";
import { observer } from "mobx-react";
import MenuItem from "@material-ui/core/MenuItem";
import TextField from "@material-ui/core/TextField";
import Error from "../../Error";
import Type from "../../Type";
import { toBoolean } from "../../../../utils";
var Select = /** @class */ (function (_super) {
    __extends(Select, _super);
    function Select() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (event) {
            _this.props.context.type.sync(toBoolean(event.target.value));
        };
        return _this;
    }
    Select.prototype.renderType = function (context) {
        var type = context.type;
        var options = type.meta.options;
        return (React.createElement(TextField, { select: true, key: type.meta.name, type: "text", margin: "normal", fullWidth: true, name: type.meta.name, id: type.meta.name, value: String(type.data), disabled: type.meta.disabled, error: !type.valid, label: type.title, helperText: Error.getError(type), onChange: this.onChange, InputProps: {
                endAdornment: this.adornment("end"),
                startAdornment: this.adornment("start")
            } }, options &&
            options.map(function (option) { return (React.createElement(MenuItem, { key: String(option.value), value: String(option.value) }, option.label)); })));
    };
    Select = __decorate([
        observer
    ], Select);
    return Select;
}(Type));
export default Select;
//# sourceMappingURL=Select.js.map