var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import * as React from "react";
import { observer } from "mobx-react";
import Error from "../../Error";
import Type from "../../Type";
import FormControlLabel from "@material-ui/core/FormControlLabel";
import MuiSwitch from "@material-ui/core/Switch";
var Switch = /** @class */ (function (_super) {
    __extends(Switch, _super);
    function Switch() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (event) {
            _this.props.context.type.sync(event.target.checked);
        };
        return _this;
    }
    Switch.prototype.renderType = function (context) {
        var type = context.type;
        return (React.createElement(React.Fragment, null,
            React.createElement(FormControlLabel, { label: type.title, disabled: type.meta.disabled, control: React.createElement(MuiSwitch, { key: type.meta.name, name: type.meta.name, checked: type.data, color: "primary", disabled: type.meta.disabled, onChange: this.onChange }) }),
            React.createElement(Error, { type: type })));
    };
    Switch = __decorate([
        observer
    ], Switch);
    return Switch;
}(Type));
export default Switch;
//# sourceMappingURL=Switch.js.map