var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import * as React from "react";
import { Component } from "react";
import { observer } from "mobx-react";
import FormHelperText from "@material-ui/core/FormHelperText";
var Error = /** @class */ (function (_super) {
    __extends(Error, _super);
    function Error() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Error_1 = Error;
    Error.getError = function (type) {
        if (type.valid || !type.errors.length) {
            return null;
        }
        return type.meta.error || type.errors.join(", ");
    };
    Error.prototype.render = function () {
        var type = this.props.type;
        var error = Error_1.getError(type);
        return error && React.createElement(FormHelperText, { error: true }, error);
    };
    var Error_1;
    Error = Error_1 = __decorate([
        observer
    ], Error);
    return Error;
}(Component));
export default Error;
//# sourceMappingURL=Error.js.map