import { ReactNode } from "react";
import { INumber } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface INumericProps extends ITypeProps<INumber> {
}
export interface INumericStates extends ITypeStates<INumber> {
}
export default class Numeric extends Type<INumber, INumericProps, INumericStates> {
    protected renderType(context: IRenderContext<INumber>): ReactNode;
    private onChange;
}
