var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import * as React from "react";
import { observer } from "mobx-react";
import FormControl from "@material-ui/core/FormControl";
import FormControlLabel from "@material-ui/core/FormControlLabel";
import FormLabel from "@material-ui/core/FormLabel";
import Radio from "@material-ui/core/Radio";
import RadioGroup from "@material-ui/core/RadioGroup";
import Error from "../../Error";
import Type from "../../Type";
import { toNumber } from "../../../../utils";
var Radios = /** @class */ (function (_super) {
    __extends(Radios, _super);
    function Radios() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (event, value) {
            _this.props.context.type.sync(toNumber(value, 0));
        };
        return _this;
    }
    Radios.prototype.renderType = function (context) {
        var type = context.type;
        var options = type.meta.options;
        return (React.createElement(FormControl, { component: "fieldset", error: !type.valid, style: { width: "100%" }, disabled: type.meta.disabled },
            React.createElement(FormLabel, { component: "legend", style: { paddingTop: 20 } }, type.title),
            React.createElement(RadioGroup, { row: type.meta.row || false, "aria-label": type.meta.name, name: type.meta.name, value: String(type.data), onChange: this.onChange }, options &&
                options.map(function (option) { return (React.createElement(FormControlLabel, { key: String(option.value), value: String(option.value), control: React.createElement(Radio, null), label: option.label, disabled: type.meta.disabled })); })),
            React.createElement(Error, { type: type })));
    };
    Radios = __decorate([
        observer
    ], Radios);
    return Radios;
}(Type));
export default Radios;
//# sourceMappingURL=Radios.js.map