import { ReactNode } from "react";
import { ILayout, IObject } from "reactive-json-schema";
import { IRenderContext, ITypeRenderer } from "../Renderer/Type";
import Type, { ITypeProps, ITypeStates } from "../Type";
export interface IObjectProps extends ITypeProps<IObject> {
    typer: ITypeRenderer;
}
export interface IObjectStates extends ITypeStates<IObject> {
}
export default class NObject extends Type<IObject, IObjectProps, IObjectStates> {
    protected renderType(context: IRenderContext<IObject>): ReactNode;
    protected layout(type: IObject): ILayout;
}
