export function unique(items, indexer) {
    if (indexer === void 0) { indexer = null; }
    var indexOf = indexer === null
        ? function (item) { return items.indexOf(item); }
        : function (item) { return items.findIndex(indexer(item)); };
    return items.filter(function (item, index, self) {
        return indexOf(item) === index;
    });
}
//# sourceMappingURL=unique.js.map