"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("react");
var mobx_react_1 = require("mobx-react");
var withStyles_1 = __importDefault(require("@material-ui/core/styles/withStyles"));
var classnames_1 = __importDefault(require("classnames"));
var Button_1 = __importDefault(require("@material-ui/core/Button"));
var Cancel = /** @class */ (function (_super) {
    __extends(Cancel, _super);
    function Cancel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onCancel = function (e) {
            var _a = _this.props, form = _a.form, _b = _a.reset, reset = _b === void 0 ? false : _b, onCancel = _a.onCancel;
            if (reset) {
                form.reset();
            }
            onCancel(form);
        };
        return _this;
    }
    Cancel.prototype.render = function () {
        var _a = this.props, clazz = _a.className, classes = _a.classes, form = _a.form, label = _a.label, _b = _a.variant, variant = _b === void 0 ? "contained" : _b, _c = _a.color, color = _c === void 0 ? "primary" : _c, onCancel = _a.onCancel, others = __rest(_a, ["className", "classes", "form", "label", "variant", "color", "onCancel"]);
        var onClick = this.onCancel;
        var className = classnames_1.default(classes.root, clazz);
        return (React.createElement(Button_1.default, __assign({}, __assign({ className: className, variant: variant, color: color }, others, { onClick: onClick })), label || form.cancel || "Cancel"));
    };
    Cancel = __decorate([
        mobx_react_1.observer
    ], Cancel);
    return Cancel;
}(react_1.Component));
exports.Cancel = Cancel;
exports.default = withStyles_1.default({
    root: {}
})(Cancel);
//# sourceMappingURL=Cancel.js.map