import * as React from "react";
import { Component, ReactNode } from "react";
import { CSSProperties, WithStyles } from "@material-ui/core/styles/withStyles";
import { IForm } from "../../models/Form";
import { IFieldErrors } from "reactive-json-schema";
export interface IFooterStyles {
    root: CSSProperties;
    item: CSSProperties;
}
export interface IFooterStyleProps extends WithStyles<keyof IFooterStyles> {
}
export interface IFooterProps {
    style?: CSSProperties;
    className?: string;
    form: IForm;
    onCancel?: (form?: IForm) => void;
    onSubmit: (values: {
        [key: string]: any;
    }) => void;
    onErrors?: (errors: IFieldErrors) => void;
}
export interface IFooterStates {
}
export declare class Footer extends Component<IFooterProps & IFooterStyleProps, IFooterStates> {
    render(): ReactNode;
}
declare const _default: React.ComponentType<Pick<IFooterProps & IFooterStyleProps, "form" | "style" | "className" | "onSubmit" | "onCancel" | "onErrors"> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"item" | "root">>;
export default _default;
