"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("react");
var classnames_1 = __importDefault(require("classnames"));
var withStyles_1 = __importDefault(require("@material-ui/core/styles/withStyles"));
var Content_1 = __importDefault(require("../Content"));
var Footer_1 = __importDefault(require("../Footer"));
var Header_1 = __importDefault(require("../Header"));
var Icon_1 = __importDefault(require("../Type/Renderer/Icon"));
var Type_1 = __importDefault(require("../Type/Renderer/Type"));
var Form_1 = __importDefault(require("../Form"));
var mobx_react_1 = require("mobx-react");
var FormInline = /** @class */ (function (_super) {
    __extends(FormInline, _super);
    function FormInline() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FormInline.prototype.render = function () {
        var _a = this.props, clazz = _a.className, classes = _a.classes, style = _a.style;
        var _b = this.props, 
        // form props
        config = _b.config, schema = _b.schema, meta = _b.meta, snapshot = _b.snapshot, onPatch = _b.onPatch, onSnapshot = _b.onSnapshot, 
        // inline props
        onCancel = _b.onCancel, onSubmit = _b.onSubmit, onErrors = _b.onErrors, _c = _b.iconer, iconer = _c === void 0 ? new Icon_1.default() : _c, _d = _b.typer, typer = _d === void 0 ? new Type_1.default() : _d;
        var className = classnames_1.default(classes.root, clazz);
        return (React.createElement(Form_1.default, __assign({}, {
            config: config,
            meta: meta,
            onPatch: onPatch,
            onSnapshot: onSnapshot,
            schema: schema,
            snapshot: snapshot
        }), function (form) { return (React.createElement("div", __assign({}, { className: className, style: style }),
            React.createElement(Header_1.default, __assign({}, {
                className: classes.header,
                classes: { title: classes.title },
                form: form
            })),
            React.createElement(Content_1.default, __assign({}, { className: classes.content, form: form, iconer: iconer, typer: typer })),
            React.createElement(Footer_1.default, __assign({}, {
                className: classes.footer,
                form: form,
                onCancel: onCancel,
                onErrors: onErrors,
                onSubmit: onSubmit
            })))); }));
    };
    FormInline = __decorate([
        mobx_react_1.observer
    ], FormInline);
    return FormInline;
}(react_1.Component));
exports.FormInline = FormInline;
exports.default = withStyles_1.default({
    content: {
        order: 3,
        overflowY: "auto",
        padding: 10
    },
    footer: {
        flexBasis: 80,
        flexShrink: 0,
        order: 3,
        padding: 10
    },
    header: {
        flexBasis: 48,
        flexShrink: 0,
        order: 1
    },
    root: {
        display: "flex",
        flexDirection: "column",
        height: "100%",
        margin: 0,
        minHeight: "100%",
        padding: 10
    },
    title: {
        paddingLeft: 10
    }
})(FormInline);
//# sourceMappingURL=Inline.js.map