"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var mobx_react_1 = require("mobx-react");
var FormControl_1 = __importDefault(require("@material-ui/core/FormControl"));
var FormControlLabel_1 = __importDefault(require("@material-ui/core/FormControlLabel"));
var FormLabel_1 = __importDefault(require("@material-ui/core/FormLabel"));
var Radio_1 = __importDefault(require("@material-ui/core/Radio"));
var RadioGroup_1 = __importDefault(require("@material-ui/core/RadioGroup"));
var Error_1 = __importDefault(require("../../Error"));
var Type_1 = __importDefault(require("../../Type"));
var utils_1 = require("../../../../utils");
var Radios = /** @class */ (function (_super) {
    __extends(Radios, _super);
    function Radios() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (event, value) {
            _this.props.context.type.sync(utils_1.toBoolean(value));
        };
        return _this;
    }
    Radios.prototype.renderType = function (context) {
        var type = context.type;
        var options = type.meta.options;
        return (React.createElement(FormControl_1.default, { component: "fieldset", error: !type.valid, style: { width: "100%" }, disabled: type.meta.disabled },
            React.createElement(FormLabel_1.default, { component: "legend", style: { paddingTop: 20 } }, type.title),
            React.createElement(RadioGroup_1.default, { row: type.meta.row || false, "aria-label": type.meta.name, name: type.meta.name, value: String(type.data), onChange: this.onChange }, options &&
                options.map(function (option) { return (React.createElement(FormControlLabel_1.default, { key: String(option.value), value: String(option.value), control: React.createElement(Radio_1.default, null), label: option.label, disabled: type.meta.disabled })); })),
            React.createElement(Error_1.default, { type: type })));
    };
    Radios = __decorate([
        mobx_react_1.observer
    ], Radios);
    return Radios;
}(Type_1.default));
exports.default = Radios;
//# sourceMappingURL=Radios.js.map