"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var mobx_react_1 = require("mobx-react");
var Error_1 = __importDefault(require("../../Error"));
var Type_1 = __importDefault(require("../../Type"));
var FormControlLabel_1 = __importDefault(require("@material-ui/core/FormControlLabel"));
var Switch_1 = __importDefault(require("@material-ui/core/Switch"));
var Switch = /** @class */ (function (_super) {
    __extends(Switch, _super);
    function Switch() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (event) {
            _this.props.context.type.sync(event.target.checked);
        };
        return _this;
    }
    Switch.prototype.renderType = function (context) {
        var type = context.type;
        return (React.createElement(React.Fragment, null,
            React.createElement(FormControlLabel_1.default, { label: type.title, disabled: type.meta.disabled, control: React.createElement(Switch_1.default, { key: type.meta.name, name: type.meta.name, checked: type.data, color: "primary", disabled: type.meta.disabled, onChange: this.onChange }) }),
            React.createElement(Error_1.default, { type: type })));
    };
    Switch = __decorate([
        mobx_react_1.observer
    ], Switch);
    return Switch;
}(Type_1.default));
exports.default = Switch;
//# sourceMappingURL=Switch.js.map