import { ReactNode } from "react";
import { INumber } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface IRadiosProps extends ITypeProps<INumber> {
}
export interface IRadiosStates extends ITypeStates<INumber> {
}
export default class Radios extends Type<INumber, IRadiosProps, IRadiosStates> {
    protected renderType(context: IRenderContext<INumber>): ReactNode;
    private onChange;
}
