import { ReactNode } from "react";
import { IString } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface IColorProps extends ITypeProps<IString> {
}
export interface IColorStates extends ITypeStates<IString> {
}
export default class Color extends Type<IString, IColorProps, IColorStates> {
    protected renderType(context: IRenderContext<IString>): ReactNode;
    private onChange;
}
