import { ReactNode } from "react";
import { IString } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface IMultilineProps extends ITypeProps<IString> {
}
export interface IMultilineStates extends ITypeStates<IString> {
}
export default class Multiline extends Type<IString, IMultilineProps, IMultilineStates> {
    protected renderType(context: IRenderContext<IString>): ReactNode;
    private onChange;
}
