"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var mobx_react_1 = require("mobx-react");
var Error_1 = __importDefault(require("../../Error"));
var Type_1 = __importDefault(require("../../Type"));
var TextField_1 = __importDefault(require("@material-ui/core/TextField"));
var Multiline = /** @class */ (function (_super) {
    __extends(Multiline, _super);
    function Multiline() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (event) {
            _this.props.context.type.sync(event.target.value);
        };
        return _this;
    }
    Multiline.prototype.renderType = function (context) {
        var type = context.type;
        var select = !!type.enum && type.enum.length > 0;
        return (React.createElement(TextField_1.default, { select: select, key: type.meta.name, multiline: true, rows: type.meta.rows || 4, rowsMax: type.meta.rowsMax || 4, margin: "normal", fullWidth: true, name: type.meta.name, id: type.meta.name, value: type.data || "", disabled: type.meta.disabled, error: !type.valid, label: type.title, helperText: Error_1.default.getError(type), onChange: this.onChange, InputProps: {
                endAdornment: this.adornment("end"),
                startAdornment: this.adornment("start")
            } }));
    };
    Multiline = __decorate([
        mobx_react_1.observer
    ], Multiline);
    return Multiline;
}(Type_1.default));
exports.default = Multiline;
//# sourceMappingURL=Multiline.js.map