import { ReactNode } from "react";
import { IString } from "reactive-json-schema";
import Type, { ITypeProps, ITypeStates } from "../../Type";
import { IRenderContext } from "../../Renderer/Type";
export interface ITextProps extends ITypeProps<IString> {
}
export interface ITextStates extends ITypeStates<IString> {
}
export default class Text extends Type<IString, ITextProps, ITextStates> {
    protected renderType(context: IRenderContext<IString>): ReactNode;
    private onChange;
}
