import { Component, ReactNode } from "react";
import { IType } from "reactive-json-schema";
import { IRenderContext } from "../Renderer/Type";
export interface ITypeProps<T extends IType> {
    context: IRenderContext<T>;
}
export interface ITypeStates<T extends IType> {
}
export default abstract class Type<T extends IType, P extends ITypeProps<T>, S extends ITypeStates<T>> extends Component<P, S> {
    render(): ReactNode;
    protected adornment(position: "start" | "end"): ReactNode;
    protected abstract renderType(context: IRenderContext<T>): ReactNode;
}
