"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("react");
var InputAdornment_1 = __importDefault(require("@material-ui/core/InputAdornment"));
var Type = /** @class */ (function (_super) {
    __extends(Type, _super);
    function Type() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Type.prototype.render = function () {
        var context = this.props.context;
        var type = context.type;
        var _a = type.meta, visible = _a.visible, name = _a.name;
        return (visible && (React.createElement("div", { key: name, style: {
                width: "100%"
            } }, this.renderType(context))));
    };
    Type.prototype.adornment = function (position) {
        var _a = this.props.context, type = _a.type, form = _a.form, iconer = _a.iconer;
        var _b = type.meta, icon = _b.icon, iconAlign = _b.iconAlign;
        if (!icon || iconAlign !== position) {
            return null;
        }
        return (React.createElement(InputAdornment_1.default, { position: position }, iconer.render(icon, { form: form, type: type })));
    };
    return Type;
}(react_1.Component));
exports.default = Type;
//# sourceMappingURL=Type.js.map